DirectoryBuildCache (Gradle API 8.11)

Package org.gradle.caching.local

## Class DirectoryBuildCache

- java.lang.Object
- - org.gradle.caching.configuration.AbstractBuildCache
  - - org.gradle.caching.local.DirectoryBuildCache

- All Implemented Interfaces:
    `BuildCache`

      public abstract class DirectoryBuildCache
      extends AbstractBuildCache

  Configuration object for the local directory build cache.
  Since:
    3.5

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DirectoryBuildCache()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.Object` | `getDirectory()` | Returns the directory to use to store the build cache.
    `int` | `getRemoveUnusedEntriesAfterDays()` | Deprecated.
    `void` | `setDirectory​(java.lang.Object directory)` | Sets the directory to use to store the build cache.
    `void` | `setRemoveUnusedEntriesAfterDays​(int removeUnusedEntriesAfterDays)` | Deprecated.

    - ### Methods inherited from class org.gradle.caching.configuration.AbstractBuildCache

      `isEnabled, isPush, setEnabled, setPush`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DirectoryBuildCache

          public DirectoryBuildCache()

  - ### Method Detail

    - #### getDirectory

          @Nullable
          public java.lang.Object getDirectory()

      Returns the directory to use to store the build cache.

    - #### setDirectory

          public void setDirectory​(@Nullable
                                   java.lang.Object directory)

      Sets the directory to use to store the build cache. The directory is evaluated as per `Project.file(Object)`.

    - #### getRemoveUnusedEntriesAfterDays

          @Deprecated
          public int getRemoveUnusedEntriesAfterDays()

      Deprecated.
      Returns the number of days after unused entries are garbage collected. Defaults to 7 days.
      Since:
        4.6

    - #### setRemoveUnusedEntriesAfterDays

          @Deprecated
          public void setRemoveUnusedEntriesAfterDays​(int removeUnusedEntriesAfterDays)

      Deprecated.
      Sets the number of days after unused entries are garbage collected. Defaults to 7 days. Must be greater than 1.
      Since:
        4.6